%define upstream_name    FBP
%define upstream_version 0.41

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Role for objects which can contain other objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.620.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(IO::File) >= 1.140.0
BuildRequires: perl(Mouse) >= 0.900.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildRequires: perl(XML::SAX) >= 0.960.0
BuildArch:  noarch

%description
*NOTE: Documentation is limited as this module is in active development*

wxFormBuilder is currently the best and most sophisticated program for
designing wxWidgets dialogs, and generating the code for these designs.

However, wxFormBuilder does not currently support the generation of Perl
code. If we are to produce Perl code for the designs it creates, the code
generation must be done independantly, outside of wxFormBuilder itself.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-7.mga6
+ Revision: 1027266
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.410.0-6.mga6
+ Revision: 931953
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.410.0-5.mga5
+ Revision: 740306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.410.0-4.mga5
+ Revision: 684695
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.410.0-3.mga4
+ Revision: 511531
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.410.0-2.mga3
+ Revision: 367092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.410.0-1.mga2
+ Revision: 219931
- update to 0.41

* Mon Jan 09 2012 jquelin <jquelin> 0.390.0-1.mga2
+ Revision: 193793
- update to 0.39

* Fri Oct 14 2011 jquelin <jquelin> 0.380.0-1.mga2
+ Revision: 154765
- update to 0.38
- update to 0.37

* Fri Jul 08 2011 jquelin <jquelin> 0.360.0-1.mga2
+ Revision: 120395
- update to 0.36

* Thu Jun 30 2011 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 116668
- imported package perl-FBP


* Thu Jun 30 2011 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
